DELETE   checks/tags

Removes association between checks and tag values.

Request example and description

curl --request DELETE "https://api-asm1.apica.io/v3/checks/tags?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E" --header "Content-Type: application/json" --data-raw "{
  "check_ids": [
    12345,
    6789,
    34524
  ],
  "tags": {
    "Environment": [
      "Prod",
      "Dev"
    ],
    "Region": [
      "USA",
      "SWE"
    ]
  }
}"
NameType Required Description
check_idsArrayYes

Identifiers of the checks to associate with the tag values.

tagsObjectYes

Tag values to be associated with the checks.

Response body model example and description

{
  "deleted_associations": [
    {
      "check_id": 345665,
      "tag_key": "Environment",
      "tag_value": "Prod"
    },
    {
      "check_id": 6789,
      "tag_key": "Region",
      "tag_value": "Prod"
    },
    {
      "check_id": 345665,
      "tag_key": "Environment",
      "tag_value": "SWE"
    }
  ]
}
NameType Description
deleted_associationsArray

The list of deleted check - tag value associations.

check_idInteger

The numeric identifier of the check.

tag_keyString

Tag key.

tag_valueString

Tag value.